//
//  BlueToothManager+SendData.h
//  HandheldBluetooth
//
//  Created by 伟 on 2018/10/24.
//  Copyright © 2018年 ZW. All rights reserved.
//

#import "BlueToothManager.h"

NS_ASSUME_NONNULL_BEGIN

@interface BlueToothManager (SendData)

/**
 校检并转化成二进制代码

 @param strData  example @"7e 10 00 00"
 */
- (NSData *)sendString:(NSString *)strData;

// 16进制转NSData
- (NSData *)convertHexStrToData:(NSString *)str;

- (NSData *)hexToBytes:(NSString *)str;

@end

NS_ASSUME_NONNULL_END
