//
//  LeftMainView.h
//  HandheldBluetooth
//
//  Created by 伟 on 2018/10/23.
//  Copyright © 2018年 ZW. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@protocol LeftMainViewDelegate <NSObject>

-(void)selectRowWithNum:(NSInteger)selectNum;

-(void)animationHiddenAction;

@end

@interface LeftMainView : UIView<UITableViewDataSource,UITableViewDelegate>

@property (nonatomic, strong) UITableView *tableView;

@property (nonatomic, assign) NSInteger selectNum;

@property (nonatomic, weak) id<LeftMainViewDelegate>delegate;

-(void)rightRemoveOut;

-(void)leftTakeBack;

@end

NS_ASSUME_NONNULL_END
