//
//  SetListOneTableCell.h
//  HandheldBluetooth
//
//  Created by 伟 on 2018/10/23.
//  Copyright © 2018年 ZW. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@protocol SetListDelegate <NSObject>

-(void)clickTapWithIndexPath:(NSIndexPath *)indexPath;

-(void)switchActionWithSelect:(BOOL)isSelect WithIndexPath:(NSIndexPath *)indexPath;

@end

@interface SetListOneTableCell : UITableViewCell
@property (weak, nonatomic) IBOutlet UIImageView *img;
@property (weak, nonatomic) IBOutlet UILabel *textLb;
@property (weak, nonatomic) IBOutlet UILabel *subTextLb;
@property (weak, nonatomic) IBOutlet UIView *subTextView;
@property (weak, nonatomic) IBOutlet UISwitch *switchBtn;

@property (nonatomic, strong) NSIndexPath *indexPath;

@property (nonatomic, weak) id<SetListDelegate>delegate;

@end

NS_ASSUME_NONNULL_END
