//
//  TagSearchPopView.m
//  HandheldBluetooth
//
//  Created by 伟 on 2018/10/30.
//  Copyright © 2018年 ZW. All rights reserved.
//

#import "TagSearchPopView.h"

@implementation TagSearchPopView

-(void)awakeFromNib{
    [super awakeFromNib];
    self.backgroundColor = [[UIColor blackColor] colorWithAlphaComponent:0.3f];

    UITapGestureRecognizer *tap = [[UITapGestureRecognizer alloc]initWithTarget:self action:@selector(otherTap)];
    [self.popView addGestureRecognizer:tap];

    self.titleLb.text = Localized(@"通配符标签值");
    self.UIDHoldLb.text = Localized(@"用户名");
    [self.cancelBtn setTitle:Localized(@"取消") forState:UIControlStateNormal];
    [self.deleteBtn setTitle:Localized(@"删除") forState:UIControlStateNormal];
    [self.applyBtn setTitle:Localized(@"确定") forState:UIControlStateNormal];

}

-(void)otherTap{

}

- (IBAction)cancelAction:(UIButton *)sender {
    if (_delegate && [_delegate respondsToSelector:@selector(tagSearchPopViewCancelAction)]) {
        [_delegate tagSearchPopViewCancelAction];
    }
}
- (IBAction)deleteAction:(UIButton *)sender {
    if (_delegate && [_delegate respondsToSelector:@selector(tagSearchPopViewDelegateWithIndex:)]) {
        [_delegate tagSearchPopViewDelegateWithIndex:self.indexPath];
    }
}
- (IBAction)applyAction:(UIButton *)sender {
    if (_delegate && [_delegate respondsToSelector:@selector(tagSearchPopViewApplyWithIndex:)]) {
        [_delegate tagSearchPopViewApplyWithIndex:self.indexPath];
    }
}


@end
