//
//  Define.h
//  HandheldBluetooth
//
//  Created by 伟 on 2018/10/19.
//  Copyright © 2018年 ZW. All rights reserved.
//

#ifndef Define_h
#define Define_h


//判断iphoneX
#define KISIphoneX (CGSizeEqualToSize(CGSizeMake(375.f, 812.f), [UIScreen mainScreen].bounds.size) || CGSizeEqualToSize(CGSizeMake(812.f, 375.f), [UIScreen mainScreen].bounds.size))

//适配
#define IPHONE_FIT KMainScreenWidth/375.0

//#define IPHONEX_TOP_HEIGHT 24
//static NSInteger IPHONEX_TOP_HEIGHT = 24;
//static NSInteger IPHONEX_BOTTOM_HEIGHT = 34;

#define IPHONEX_TOP_HEIGHT  24
#define IPHONEX_BOTTOM_HEIGHT  34

//获取屏幕宽高
#define KMainScreenWidth [UIScreen mainScreen].bounds.size.width

#define KMainScreenHeight [UIScreen mainScreen].bounds.size.height

//颜色
#define RGBA_COLOR(r,g,b) [UIColor colorWithRed:(r)/255.0 green:(g)/255.0 blue:(b)/255.0 alpha:1.0]

/**
 *  进制颜色转RGB
 */
#define JColorFromRGB(rgbValue) [UIColor colorWithRed:((float)((rgbValue & 0xFF0000) >> 16))/255.0 green:((float)((rgbValue & 0xFF00) >> 8))/255.0 blue:((float)(rgbValue & 0xFF))/255.0 alpha:1.0]


//颜色值 HEX
#define KHEXCOLOR(h,a) [UIColor hexStringToColor:(h) withAlpha:(a)]

#define WhiteColor [UIColor whiteColor]
//导航栏背景颜色
#define KNavBar_Color KHEXCOLOR(@"424e64",1)
//主背景颜色
#define MainBackgroundColor KHEXCOLOR(@"F2F2F2",1)
//字体颜色 主颜色
#define TextBlackColor KHEXCOLOR(@"0f0f0f",1)
//按钮可点击颜色
#define BtnSelectedColor KHEXCOLOR(@"c5ad82",1)
//按钮不可点击颜色
#define BtnNoSelectedColor KHEXCOLOR(@"e2d6c0",1)
//字体颜色 淡主颜色
#define TextLightGrayColor KHEXCOLOR(@"a1a5af",1)


#define kStr(name) @property (nonatomic,copy) NSString *name
#define kUI(UI,name) @property (nonatomic,strong) UI *name
#define kAS(AS,name) @property (nonatomic,assign) AS name


#pragma mark -- 蓝牙相关

#define channelOnPeropheralView @"peripheralView"
#define channelOnCharacteristicView @"CharacteristicView"

#endif /* Define_h */
