//
//  InternationalControl.h
//  Mayueer
//
//  Created by 金琦 on 2017/7/4.
//  Copyright © 2017年 JinQi. All rights reserved.
//
#define kENGLISH @"en"// 英语-
#define kCHINESE @"zh-Hans"// 简体中文-
#define kFRENCH @"fr"// 法国
#define kITALIAN @"it"// 意大利
#define kSPANISH @"es"// 西班牙语
#define kTRADITIONAL @"zh-Hant"// 繁体中文-
#define kJAPANESE @"ja"// 日本-
#define kUserLanguage @"userLanguage"

extern NSString *const ZZAppLanguageDidChangeNotification;

//#define Localized(key)  [[NSBundle bundleWithPath:[[NSBundle mainBundle] pathForResource:[NSString stringWithFormat:@"%@",[[NSUserDefaults standardUserDefaults] objectForKey:kUserLanguage]] ofType:@"lproj"]] localizedStringForKey:(key) value:nil table:@"MYELocalizable"]
//#define Localized(key)  [InternationalControl getStringForKey:key]

#define Localized(key)  [[NSBundle bundleWithPath:[[NSBundle mainBundle] pathForResource:[NSString stringWithFormat:@"%@",[[NSUserDefaults standardUserDefaults] objectForKey:kUserLanguage]] ofType:@"lproj"]] localizedStringForKey:(key) value:nil table:nil]

#import <Foundation/Foundation.h>

@interface InternationalControl : NSObject

///**
// *  单例
// */
//+ (instancetype)sharedInstance;

//获取当前资源文件
+ (NSBundle *)bundle;

//初始化资源文件
+ (void)initUserLanguage;

+ (NSString *)userLanguage;//获取应用当前语言

+ (void)setUserlanguage:(NSString *)language;//设置当前语言

+ (NSString *)getStringForKey:(NSString *)key;

//+ (NSString *)getStringForKey:(NSString *)key withTable:(NSString *)table;

@end
