//
//  SetSelectView.h
//  HandheldBluetooth
//
//  Created by 伟 on 2018/10/25.
//  Copyright © 2018年 ZW. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@protocol SetSelectViewDelegate <NSObject>

-(void)selectRowWithNum:(NSInteger)selectNum;

-(void)setViewCancelAction;

@end

@interface SetSelectView : UIView<UITableViewDataSource,UITableViewDelegate,UIGestureRecognizerDelegate>

@property (nonatomic, strong) UITableView *tableView;

@property (nonatomic, assign) NSInteger selectNum;

@property (nonatomic, weak) id<SetSelectViewDelegate>delegate;

@property (nonatomic, strong) NSArray *dataArr;

@end

NS_ASSUME_NONNULL_END
