//
//  SingleTagSearchView.h
//  HandheldBluetooth
//
//  Created by 伟 on 2018/10/31.
//  Copyright © 2018年 ZW. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@protocol SingleTagSearchViewDelegate <NSObject>

-(void)singleTagSearchViewCancelAction;

-(void)singleTagSearchViewApplyWithStr:(NSString *)textStr;

@end

@interface SingleTagSearchView : UIView
@property (weak, nonatomic) IBOutlet UILabel *titleLb;
@property (weak, nonatomic) IBOutlet UILabel *UIDHpldLb;
@property (weak, nonatomic) IBOutlet UIButton *cancelBtn;
@property (weak, nonatomic) IBOutlet UIButton *applyBtn;

@property (weak, nonatomic) IBOutlet UIView *popView;
@property (weak, nonatomic) IBOutlet UITextField *UIDTextField;

@property (nonatomic, weak) id<SingleTagSearchViewDelegate>delegate;

@end

NS_ASSUME_NONNULL_END
