//
//  TagSearchPopView.h
//  HandheldBluetooth
//
//  Created by 伟 on 2018/10/30.
//  Copyright © 2018年 ZW. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@protocol TagSearchPopViewDelegate <NSObject>

-(void)tagSearchPopViewCancelAction;

-(void)tagSearchPopViewDelegateWithIndex:(NSIndexPath *)indexPath;

-(void)tagSearchPopViewApplyWithIndex:(NSIndexPath *)indexPath;

@end

@interface TagSearchPopView : UIView
@property (weak, nonatomic) IBOutlet UIView *popView;
@property (weak, nonatomic) IBOutlet UITextField *UIDTextField;
@property (weak, nonatomic) IBOutlet UILabel *titleLb;
@property (weak, nonatomic) IBOutlet UIButton *cancelBtn;
@property (weak, nonatomic) IBOutlet UIButton *deleteBtn;
@property (weak, nonatomic) IBOutlet UIButton *applyBtn;
@property (weak, nonatomic) IBOutlet UILabel *UIDHoldLb;

@property (nonatomic, strong) NSIndexPath *indexPath;

@property (nonatomic, weak) id<TagSearchPopViewDelegate>delegate;

@end

NS_ASSUME_NONNULL_END
